//  自定义报表设计
import request from "@/utils/request";

// 获取数据
export function getExcel(data) {
  return request({
    url: "/system-boot/getExcel",
    method: "post",
    data,
  });
}
// 获取参数指标
export function getIndex(data) {
  return request({
    url: "/harmonic-boot/customReport/reportChooseTree",
    // url: "/api3/harmonic-boot/customReport/reportChooseTree",
    method: "get",
    data,
  });
}
// 指标替换
export function replaces(data) {
  return request({
    url: "/system-boot/replace",
    method: "get",
    data,
  });
}
// 单位绑定
export function codeDicTree(data) {
  return request({
    url: "/system-boot/dictTree/queryByCode",
    method: "post",
    params: data,
  });
}
